#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(.gnu.linkonce.this_module) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

static const struct modversion_info ____versions[]
__used __section(__versions) = {
	{ 0x354057b3, "module_layout" },
	{ 0x9f3f2a07, "nf_log_unregister" },
	{ 0x8ee841d6, "unregister_pernet_subsys" },
	{ 0xc5850110, "printk" },
	{ 0xbebed9da, "nf_log_register" },
	{ 0x8d9ac507, "register_pernet_subsys" },
	{ 0xf88b9ae6, "nf_log_dump_vlan" },
	{ 0x80c68137, "nf_log_buf_close" },
	{ 0x102c58dc, "nf_log_dump_packet_common" },
	{ 0xd4961de, "nf_log_buf_open" },
	{ 0x9aaeefce, "sysctl_nf_log_all_netns" },
	{ 0xef5b2ab8, "init_net" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0xf36e8c6e, "nf_log_dump_udp_header" },
	{ 0x96b56e42, "nf_log_dump_tcp_header" },
	{ 0x7cb2d68c, "nf_log_dump_sk_uid_gid" },
	{ 0xcd6f2dc9, "nf_log_buf_add" },
	{ 0xc6711b82, "skb_copy_bits" },
	{ 0xcebacc5e, "nf_log_set" },
	{ 0x5928187c, "nf_log_unset" },
	{ 0xbdfb6dbb, "__fentry__" },
};

MODULE_INFO(depends, "nf_log_common");


MODULE_INFO(srcversion, "D6B7C38BF533052E0E5D435");
